<?php if (!defined('ABSPATH')) {
    die('You are not allowed to call this page directly.');
} ?>
<div id="help" class="wrap mepr-support-wrapper">
  <h1 class="mepr-support-heading"><?php _e('Support', 'memberpress');?></h1>
  <h2 class="mepr-support-help"><?php _e('Frequently Asked Questions', 'memberpress');?></h2>
  <div class="mepr-support-help-wrapper">
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/163-faqs">
        <h3><?php _e('How To', 'memberpress');?></h3>
        <p><?php _e('Frequently "How To..." questions.', 'memberpress');?></p>
      </a>
    </div>
  </div>
  <h2 class="mepr-support-help"><?php _e('Getting Started', 'memberpress');?></h2>
  <div class="mepr-support-help-wrapper">
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/11-installation-and-upgrading">
        <h3><?php _e('Installation and Upgrading', 'memberpress');?></h3>
        <p><?php _e('How to install, activate, and upgrade MemberPress.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/26-configuring-options">
        <h3><?php _e('Configuring Settings', 'memberpress');?></h3>
        <p><?php _e('How to configure your settings in MemberPress.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/25-supported-payment-gateways">
        <h3><?php _e('Supported Payment Gateways', 'memberpress');?></h3>
        <p><?php _e('Pick your payment gateway and get it setup.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/134-migrating-and-importingexporting">
        <h3><?php _e('Migrating and Importing/Exporting', 'memberpress');?></h3>
        <p><?php _e('Migrate from a different membership system, or from a different server.', 'memberpress');?></p>
      </a>
    </div>
  </div>

  <h2 class="mepr-support-help"><?php _e('Using MemberPress', 'memberpress');?></h2>
  <div class="mepr-support-help-wrapper">
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/129-creating-and-managing-memberships">
        <h3><?php _e('Creating and Managing Memberships', 'memberpress');?></h3>
        <p><?php _e('How to configure and use our Memberships.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/128-protecting-content">
        <h3><?php _e('Protecting Content', 'memberpress');?></h3>
        <p><?php _e('How to use rules to protect content on your site.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/130-creating-and-managing-groups">
        <h3><?php _e('Creating and Managing Groups', 'memberpress');?></h3>
        <p><?php _e('Configure groups for easy pricing pages and upgrade/downgrade paths.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/169-front-end-pages">
        <h3><?php _e('Front End Pages', 'memberpress');?></h3>
        <p><?php _e('How to configure and use Login, Account, Registration, and other front end pages.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/177-available-shortcodes-widgets-and-email-parameters">
        <h3><?php _e('Shortcodes, Widgets, and Email Parameters', 'memberpress');?></h3>
        <p><?php _e('Customize emails and pages to match your site.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/135-managing-members-and-their-subscriptions">
        <h3><?php _e('Managing Members and their Subscriptions', 'memberpress');?></h3>
        <p><?php _e('Managing Members(users) and their subscriptions to memberships.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/131-creating-and-managing-coupons">
        <h3><?php _e('Creating and Managing Coupons', 'memberpress');?></h3>
        <p><?php _e('Create and manage coupons for discounts and promotions.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/132-creating-and-managing-reminders">
        <h3><?php _e('Creating and Managing Reminder Emails', 'memberpress');?></h3>
        <p><?php _e('Create and use reminder emails to keep your members informed.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/136-viewing-reports">
        <h3><?php _e('Viewing Reports', 'memberpress');?></h3>
        <p><?php _e('Use MemberPress reports to keep a finger on the pulse of your site.', 'memberpress');?></p>
      </a>
    </div>
  </div>

  <h2 class="mepr-support-help"><?php _e('Extensions', 'memberpress');?></h2>
  <div class="mepr-support-help-wrapper">
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/19-addons">
        <h3><?php _e('Add-Ons', 'memberpress');?></h3>
        <p><?php _e('MemberPress created and supported extensions.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/27-email-marketing-addons">
        <h3><?php _e('Email Marketing', 'memberpress');?></h3>
        <p><?php _e('Integrate MemberPress with your email marketing platform.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/20-third-party-integrations">
        <h3><?php _e('Third-Party Integrations', 'memberpress');?></h3>
        <p><?php _e('Recommend integrations built and supported by others.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/240-memberpress-courses">
        <h3><?php _e('MemberPress Courses', 'memberpress');?></h3>
        <p><?php _e('Offer your courses through MemberPress without our official add-on.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/242-memberpress-downloads">
        <h3><?php _e('MemberPress Downloads', 'memberpress');?></h3>
        <p><?php _e('Protect files, images, and more with the official MemberPressDownloads add-on.', 'memberpress');?></p>
      </a>
    </div>
  </div>

  <h2 class="mepr-support-help"><?php _e('Advanced Topics', 'memberpress');?></h2>
  <div class="mepr-support-help-wrapper">
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/233-privacy-gdpr">
        <h3><?php _e('Privacy (GDPR)', 'memberpress');?></h3>
        <p><?php _e('What data MemberPress stores and how it works with GDPR.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/24-using-memberpress-developer-tools">
        <h3><?php _e('MemberPress Developer Tools', 'memberpress');?></h3>
        <p><?php _e('MemberPress offers webhook support and a REST API for developers.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/166-other-toolssuggestions">
        <h3><?php _e('Other Tools/Suggestions', 'memberpress');?></h3>
        <p><?php _e('Advanced to ways to further customize and configure MemberPress.', 'memberpress');?></p>
      </a>
    </div>
    <div class="mepr-support-help-topic">
      <a target="_blank" href="https://docs.memberpress.com/category/215-developer-resources">
        <h3><?php _e('Developer Resources', 'memberpress');?></h3>
        <p><?php _e('Resources about the inner workings of MemberPress for developers.', 'memberpress');?></p>
      </a>
    </div>
  </div>
</div>
