<?php

return MeprHooks::apply_filters('mepr_locale_date_map', [
    'zh_CN' => [
        'months' => [
            '一月'  => 'January',
            '二月'  => 'February',
            '三月'  => 'March',
            '四月'  => 'April',
            '五月'  => 'May',
            '六月'  => 'June',
            '七月'  => 'July',
            '八月'  => 'August',
            '九月'  => 'September',
            '十月'  => 'October',
            '十一月' => 'November',
            '十二月' => 'December',
        ],
        'days'   => [
            '星期一' => 'Monday',
            '星期二' => 'Tuesday',
            '星期三' => 'Wednesday',
            '星期四' => 'Thursday',
            '星期五' => 'Friday',
            '星期六' => 'Saturday',
            '星期日' => 'Sunday',
        ],
    ],
    'fr_FR' => [
        'months' => [
            'janvier'   => 'January',
            'février'   => 'February',
            'mars'      => 'March',
            'avril'     => 'April',
            'mai'       => 'May',
            'juin'      => 'June',
            'juillet'   => 'July',
            'août'      => 'August',
            'septembre' => 'September',
            'octobre'   => 'October',
            'novembre'  => 'November',
            'décembre'  => 'December',
        ],
        'days'   => [
            'lundi'    => 'Monday',
            'mardi'    => 'Tuesday',
            'mercredi' => 'Wednesday',
            'jeudi'    => 'Thursday',
            'vendredi' => 'Friday',
            'samedi'   => 'Saturday',
            'dimanche' => 'Sunday',
        ],
    ],
    'es_ES' => [
        'months' => [
            'enero'      => 'January',
            'febrero'    => 'February',
            'marzo'      => 'March',
            'abril'      => 'April',
            'mayo'       => 'May',
            'junio'      => 'June',
            'julio'      => 'July',
            'agosto'     => 'August',
            'septiembre' => 'September',
            'octubre'    => 'October',
            'noviembre'  => 'November',
            'diciembre'  => 'December',
        ],
        'days'   => [
            'lunes'     => 'Monday',
            'martes'    => 'Tuesday',
            'miércoles' => 'Wednesday',
            'jueves'    => 'Thursday',
            'viernes'   => 'Friday',
            'sábado'    => 'Saturday',
            'domingo'   => 'Sunday',
        ],
    ],
    'de_DE' => [
        'months' => [
            'januar'    => 'January',
            'februar'   => 'February',
            'märz'      => 'March',
            'april'     => 'April',
            'mai'       => 'May',
            'juni'      => 'June',
            'juli'      => 'July',
            'august'    => 'August',
            'september' => 'September',
            'oktober'   => 'October',
            'november'  => 'November',
            'dezember'  => 'December',
        ],
        'days'   => [
            'montag'     => 'Monday',
            'dienstag'   => 'Tuesday',
            'mittwoch'   => 'Wednesday',
            'donnerstag' => 'Thursday',
            'freitag'    => 'Friday',
            'samstag'    => 'Saturday',
            'sonntag'    => 'Sunday',
        ],
    ],
    'pt_PT' => [
        'months' => [
            'janeiro'   => 'January',
            'fevereiro' => 'February',
            'março'     => 'March',
            'abril'     => 'April',
            'maio'      => 'May',
            'junho'     => 'June',
            'julho'     => 'July',
            'agosto'    => 'August',
            'setembro'  => 'September',
            'outubro'   => 'October',
            'novembro'  => 'November',
            'dezembro'  => 'December',
        ],
        'days'   => [
            'segunda-feira' => 'Monday',
            'terça-feira'   => 'Tuesday',
            'quarta-feira'  => 'Wednesday',
            'quinta-feira'  => 'Thursday',
            'sexta-feira'   => 'Friday',
            'sábado'        => 'Saturday',
            'domingo'       => 'Sunday',
        ],
    ],
    'pl_PL' => [
        'months' => [
            'styczeń'     => 'January',
            'luty'        => 'February',
            'marzec'      => 'March',
            'kwiecień'    => 'April',
            'maj'         => 'May',
            'czerwiec'    => 'June',
            'lipiec'      => 'July',
            'sierpień'    => 'August',
            'wrzesień'    => 'September',
            'pażdziernik' => 'October',
            'listopad'    => 'November',
            'grudzień'    => 'December',
        ],
        'days'   => [
            'poniedziałek' => 'Monday',
            'wtorek'       => 'Tuesday',
            'środa'        => 'Wednesday',
            'czwartek'     => 'Thursday',
            'piątek'       => 'Friday',
            'sobota'       => 'Saturday',
            'niedziela'    => 'Sunday',
        ],
    ],
    'hi_IN' => [
        'months' => [
            'जनवरी'   => 'January',
            'फरवरी'   => 'February',
            'मार्च'   => 'March',
            'अप्रैल'  => 'April',
            'मई'      => 'May',
            'जून'     => 'June',
            'जुलाई'   => 'July',
            'अगस्त'   => 'August',
            'सितंबर'  => 'September',
            'अक्टूबर' => 'October',
            'नवंबर'   => 'November',
            'दिसंबर'  => 'December',
        ],
        'days'   => [
            'सोमवार'   => 'Monday',
            'मंगलवार'  => 'Tuesday',
            'बुधवार'   => 'Wednesday',
            'गुरूवार'  => 'Thursday',
            'शुक्रवार' => 'Friday',
            'शनिवार'   => 'Saturday',
            'रविवार'   => 'Sunday',
        ],
    ],
    'ru_RU' => [
        'months' => [
            'январь'   => 'January',
            'февраль'  => 'February',
            'март'     => 'March',
            'апрель'   => 'April',
            'май'      => 'May',
            'июнь'     => 'June',
            'июль'     => 'July',
            'август'   => 'August',
            'сентябрь' => 'September',
            'октябрь'  => 'October',
            'ноябрь'   => 'November',
            'декабрь'  => 'December',
        ],
        'days'   => [
            'понедельник' => 'Monday',
            'вторник'     => 'Tuesday',
            'среда'       => 'Wednesday',
            'четверг'     => 'Thursday',
            'пятница'     => 'Friday',
            'суббота'     => 'Saturday',
            'воскресенье' => 'Sunday',
        ],
    ],
    'ja_JP' => [
        'months' => [
            '1月'  => 'January',
            '2月'  => 'February',
            '3月'  => 'March',
            '4月'  => 'April',
            '5月'  => 'May',
            '6月'  => 'June',
            '7月'  => 'July',
            '8月'  => 'August',
            '9月'  => 'September',
            '10月' => 'October',
            '11月' => 'November',
            '12月' => 'December',
        ],
        'days'   => [
            '月曜日' => 'Monday',
            '火曜日' => 'Tuesday',
            '水曜日' => 'Wednesday',
            '木曜日' => 'Thursday',
            '金曜日' => 'Friday',
            '土曜日' => 'Saturday',
            '日曜日' => 'Sunday',
        ],
    ],
    'ar_EG' => [
        'months' => [
            'يناير'  => 'January',
            'فبراير' => 'February',
            'مارس'   => 'March',
            'أبريل'  => 'April',
            'مايو'   => 'May',
            'يونيو'  => 'June',
            'يوليو'  => 'July',
            'أغسطس'  => 'August',
            'سبتمبر' => 'September',
            'أكتوبر' => 'October',
            'نوفمبر' => 'November',
            'ديسمبر' => 'December',
        ],
        'days'   => [
            'الاثنين'  => 'Monday',
            'الثلاثاء' => 'Tuesday',
            'الأربعاء' => 'Wednesday',
            'الخميس'   => 'Thursday',
            'الجمعة'   => 'Friday',
            'السبت'    => 'Saturday',
            'الأحد'    => 'Sunday',
        ],
    ],
    'bn_BD' => [
        'months' => [
            'জানুয়ারি'   => 'January',
            'ফেব্রুয়ারি' => 'February',
            'মার্চ'       => 'March',
            'এপ্রিল'      => 'April',
            'মে'          => 'May',
            'জুন'         => 'June',
            'জুলাই'       => 'July',
            'আগস্ট'       => 'August',
            'সেপ্টেম্বর'  => 'September',
            'অক্টোবর'     => 'October',
            'নভেম্বর'     => 'November',
            'ডিসেম্বর'    => 'December',
        ],
        'days'   => [
            'সোমবার'      => 'Monday',
            'মঙ্গলবার'    => 'Tuesday',
            'বুধবার'      => 'Wednesday',
            'বৃহস্পতিবার' => 'Thursday',
            'শুক্রবার'    => 'Friday',
            'শনিবার'      => 'Saturday',
            'রবিবার'      => 'Sunday',
        ],
    ],
    'it_IT' => [
        'months' => [
            'gennaio'   => 'January',
            'febbraio'  => 'February',
            'marzo'     => 'March',
            'aprile'    => 'April',
            'maggio'    => 'May',
            'giugno'    => 'June',
            'luglio'    => 'July',
            'agosto'    => 'August',
            'settembre' => 'September',
            'ottobre'   => 'October',
            'novembre'  => 'November',
            'dicembre'  => 'December',
        ],
        'days'   => [
            'lunedi'    => 'Monday',
            'martedi'   => 'Tuesday',
            'mercoledi' => 'Wednesday',
            'giovedi'   => 'Thursday',
            'venerdi'   => 'Friday',
            'sabato'    => 'Saturday',
            'domenica'  => 'Sunday',
        ],
    ],
]);
